Name:           ffcall
Version:        1.10
Release:        5.20080704cvs%{?dist}.1
Summary:        Libraries for foreign function call interfaces

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.haible.de/bruno/packages-ffcall-README.html
Source0:        ftp://ftp.santafe.edu/pub/gnu/ffcall-20080704cvs.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: ffcall-vacall-Makefile.devel.patch
Patch1: ffcall-avcall-Makefile.devel.patch
Patch2: ffcall-vacall_r-Makefile.devel.patch
Patch3: ffcall-avcall-sparc64.c.patch
Patch4: ffcall-avcall.h.in.patch

%description
This is a collection of four libraries which can be used to build
foreign function call interfaces in embedded interpreters.

%define debug_package %{nil}

%prep
%setup -q -n ffcall
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure

%ifarch sparc64
cd vacall
rm vacall-sparc64.S
make -f Makefile.devel vacall-sparc64.S
cd ..

cd avcall
rm avcall-sparc64.S
make -f Makefile.devel avcall-sparc64.S
cd ..

cd callback/vacall_r/
rm vacall-sparc64.S
make -f Makefile.devel vacall-sparc64.S
cd ../../
%endif

make # %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}
make install DESTDIR=$RPM_BUILD_ROOT
rm -fr $RPM_BUILD_ROOT%{_datadir}/html
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%doc avcall/avcall.html
%doc callback/callback.html
%doc callback/trampoline_r/trampoline_r.html
%doc trampoline/trampoline.html
%doc vacall/vacall.html
%{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man*/*


%changelog
* Tue Apr 6 2010 Patrick Ale <patrick@patrickale.org>
- Add Patch0: ffcall-vacall-Makefile.devel.patch
  Use native gcc shipped with distribution for all compile actions in Makefile.devel
  Depend on configure generated vacall.h instead of unprocessed vacall.h.in
  Depend on configure generated config.h instead of unprocessed config.h.in
- Add Patch1: ffcall-avcall-Makefile.devel.patch
  Use native gcc shipped with distribution for all compile actions in Makefile.devel
  Depend on configure generated vacall.h instead of unprocessed vacall.h.in
  Depend on configure generated config.h instead of unprocessed config.h.in
- Add Patch2: ffcall-vacall_r-Makefile.devel.patch
  Use native gcc shipped with distribution for all compile actions in Makefile.devel
  Depend on configure generated vacall.h instead of unprocessed vacall.h.in
  Depend on configure generated config.h instead of unprocessed config.h.in
- Add Patch3: ffcall-avcall-sparc64.c.patch
  Code fixes to make avcall-sparc64.c compile on sparc64. 
  Patch cherry picked from http://savannah.gnu.org/bugs/?22081
- Add Patch4: ffcall-avcall.h.in.patch
  Code fixes to make avcall-sparc64 compile on sparc64.
- ffcall.spec: Add implementation of Patch0,Patch1,Patch2,Patch3,Patch4.
  Add %ifarch block for sparc64 to remove pregenerated assembly and regenerate using native compiler.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4.20080704cvs.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3.20080704cvs.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Jochen Schmitt <Jochen herr-schmitt de> - 1.10-2.20080704cvs.1
- Fix -FPIC issue (BZ #475112)

* Fri Jul  4 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.10-2.20080704cvs
- update to cvs 20080704
- support for ppc64

* Mon Feb 25 2008 Gerard Milmeister <gemi@bluewin.ch> - 1.10-1
- first Fedora release
